Bug 146450 - An eps file included in latex and then compiled to get a ps file. The ps file is viewed correctly but when printed only the content of the included eps file gets printed.
An eps file included in latex and then compiled to get a ps file. The ps file...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: gv (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Williams
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-28 07:06 EST by A.Singh
Modified: 2008-02-05 01:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-05 01:06:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description A.Singh 2005-01-28 07:06:16 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20041020
Firefox/0.10.1

Description of problem:
I included an eps file in a latex document (test.tex) and then have
one line of text as follows

\begin{document}
\begin{picture}(500,500)(106,155)
\epsfig{file=letterhead.eps}
\end{picture}
\vspace{-15cm}
\centerline{\bf Extra text here.}
\end{document}

latex+dvips creates test.ps; then gv views the document (test.ps)
correctly. But while printing from gv, only the letterhead.eps is
printed. It does not print the other text, i.e., `Extra text here' is
not printed.
The same happens in kghostview, in ggv.
While test.ps is viewed and printed correctly from ghostview under
windows. 

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. In any editor create a file test.ps with the following code: 
\begin{document}
\begin{picture}(500,500)(106,155)
\epsfig{file=letterhead.eps}
\end{picture}
\vspace{-15cm}
\centerline{\bf Extra text here.}
\end{document}
2. In the same directory keep letterhead.eps, an eps file with a small
picture, say an emblem, and some text, say your name, and a horizontal
line as usual in a letter head.
3. latex test.tex
4. dvips test.dvi
5. gv test.ps
6. print from gv. It shows the contents of the eps file and also the
text `Extra text here.'
7. Only the eps file is printed. The text'Extra text here.' is not
printed. 
Note: the same happens foe kghostview, for ggv
    

Actual Results:  No error message

Expected Results:  Printing should have included in a separate line
the centered text
'Extra text here.'

Additional info:

The file that is generated by latex+dvips, i.e., test.ps is viewed and
printed correctly from the windows version of ghostview.
Comment 1 A.Singh 2005-02-01 00:29:36 EST
The eps file was created as in the following.
1. A file was created in MS Word (e.g., test.doc).
2. It was printed to a file using a postscript printer generating test.prn
3. test.prn renamed as test.eps

Note: If the same file test.doc is opened in openOfiice, converted to
test.pdf, then in gv it is saved as test.eps, then things work well.
Comment 2 Alex Cherepanov 2005-03-06 18:31:37 EST
I think that this error happens in the DSC parser, which consider
%%EOF comment in the EPS file as the end of the whole file.
Comment 3 Matthew Miller 2006-07-10 18:48:12 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 4 petrosyan 2008-02-05 01:06:03 EST
Fedora Core 3 is not maintained anymore.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release please reopen this bug.

Note You need to log in before you can comment on or make changes to this bug.